Governance
List governance operation history, newest first
GET /v1/organizations/{id}/governance-operations · SDK listGovernanceOperations · CLI deployments governance operations
GET
Requires governance:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringOpaque cursor from a previous page.
Length
1 <= length <= 1024limit?integerRange
1 <= value <= 100kind?stringRestrict results to one operation kind.
Value in
"audit-export""end-user-erasure""tenant-erasure""tenant-export""thread-erasure"status?stringRestrict results to one operation status.
Value in
"canceled""completed""failed""pending""running"x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$GovernanceOperationPageResponse
application/json- response
items*array<||||>nextCursor?|nullcurl -X GET "https://example.com/v1/organizations/string/governance-operations" \ -H "x-deployments-organization: string"{ "items": [ { "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "error": { "property1": null, "property2": null }, "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "organizationId": "string", "startedAt": "2019-08-24T14:15:22Z", "status": "canceled", "summary": { "property1": null, "property2": null }, "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "kind": "audit-export", "output": { "downloadUrl": "string", "downloadUrlExpiresAt": "2019-08-24T14:15:22Z", "fileName": "string", "sha256": "string", "sizeBytes": 0, "archiveDownloadUrl": "string", "archiveDownloadUrlExpiresAt": "2019-08-24T14:15:22Z", "archiveFileName": "string", "archiveSha256": "string", "archiveSizeBytes": 0, "contentType": "application/json", "immutable": true } } ], "nextCursor": "string"}